#include "theme_util.h"
#include "windowmanage.hpp"
ThemeHelper::ThemeHelper(){}
ThemeHelper::~ThemeHelper(){}
void ThemeHelper::setTheme(QWidget *widget)
{
    if(widget!=nullptr){
        kabase::WindowManage::removeHeader(widget);
    }
}

void ThemeHelper::setBaseColor(QWidget *widget)
{
    if(widget != nullptr){
        widget->setAutoFillBackground(true);
        widget->setBackgroundRole(QPalette::Base);
    }
}
void ThemeHelper::setBackgroundColor(QWidget *widget)
{
    if(widget != nullptr){
        widget->setAutoFillBackground(true);
        widget->setBackgroundRole(QPalette::Background);
    }
}
